Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.lyo.core.query
Class OslcSelectParser

    java.lang.Object
      org.antlr.runtime.BaseRecognizer
          org.antlr.runtime.Parser
              org.eclipse.lyo.core.query.OslcSelectParser

    public class OslcSelectParser

extends org.antlr.runtime.Parser

Copyright (c) 2011, 2012 IBM Corporation. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 and Eclipse Distribution License v. 1.0 which accompanies this distribution. The Eclipse Public License is available at http://www.eclipse.org/legal/epl-v10.html and the Eclipse Distribution License is available at http://www.eclipse.org/org/documents/edl-v10.php. Contributors: Jim Conallen - initial API and implementation Steve Pitchke - ammendments and cleanup.

Nested Class Summary
`static class` | `OslcSelectParser.identifier_return`
`static class` | `OslcSelectParser.nested_property_return`
`static class` | `OslcSelectParser.oslc_select_return`
`static class` | `OslcSelectParser.prefixedName_return`
`static class` | `OslcSelectParser.properties_return`
`static class` | `OslcSelectParser.property_return`

Field Summary
`protected org.antlr.runtime.tree.TreeAdaptor` | `adaptor`
`static int` | `ASTERISK`
`static int` | `CLOSE_CURLY_BRACE`
`static int` | `COMMA`
`static int` | `DIGIT`
`static int` | `DOT`
`static int` | `ECHAR`
`static int` | `EOF`
`static int` | `EOL`
`static org.antlr.runtime.BitSet` | `FOLLOW_ASTERISK_in_identifier200`
`static org.antlr.runtime.BitSet` | `FOLLOW_CLOSE_CURLY_BRACE_in_nested_property160`
`static org.antlr.runtime.BitSet` | `FOLLOW_COMMA_in_properties102`
`static org.antlr.runtime.BitSet` | `FOLLOW_identifier_in_nested_property154`
`static org.antlr.runtime.BitSet` | `FOLLOW_identifier_in_property137`
`static org.antlr.runtime.BitSet` | `FOLLOW_nested_property_in_property141`
`static org.antlr.runtime.BitSet` | `FOLLOW_OPEN_CURLY_BRACE_in_nested_property156`
`static org.antlr.runtime.BitSet` | `FOLLOW_prefixedName_in_identifier182`
`static org.antlr.runtime.BitSet` | `FOLLOW_properties_in_nested_property158`
`static org.antlr.runtime.BitSet` | `FOLLOW_properties_in_oslc_select87`
`static org.antlr.runtime.BitSet` | `FOLLOW_property_in_properties104`
`static org.antlr.runtime.BitSet` | `FOLLOW_property_in_properties97`
`static org.antlr.runtime.BitSet` | `FOLLOW_set_in_prefixedName0`
`static int` | `MINUS`
`static int` | `NESTED_PROPERTIES`
`static int` | `NOT`
`static int` | `OPEN_CURLY_BRACE`
`static int` | `PLUS`
`static int` | `PN_CHARS`
`static int` | `PN_CHARS_BASE`
`static int` | `PN_CHARS_U`
`static int` | `PN_LOCAL`
`static int` | `PN_PREFIX`
`static int` | `PNAME_LN`
`static int` | `PNAME_NS`
`static int` | `PREFIXED_NAME`
`static int` | `PROPERTIES`
`static String[]` | `tokenNames`
`static int` | `WILDCARD`
`static int` | `WS`

Fields inherited from class org.antlr.runtime.Parser
`input`

Fields inherited from class org.antlr.runtime.BaseRecognizer
`DEFAULT_TOKEN_CHANNEL, HIDDEN, INITIAL_FOLLOW_STACK_SIZE, MEMO_RULE_FAILED, MEMO_RULE_UNKNOWN, NEXT_TOKEN_RULE_NAME, state`

Constructor Summary
`OslcSelectParser(String where)`
`OslcSelectParser(org.antlr.runtime.TokenStream input)`
`OslcSelectParser(org.antlr.runtime.TokenStream input, org.antlr.runtime.RecognizerSharedState state)`

Method Summary
`void` | `displayRecognitionError(String[] tokenNames, org.antlr.runtime.RecognitionException e)`
`List<String>` | `getErrors()`
`String` | `getGrammarFileName()`
`String[]` | `getTokenNames()`
`org.antlr.runtime.tree.TreeAdaptor` | `getTreeAdaptor()`
`OslcSelectParser.identifier_return` | `identifier()`
`OslcSelectParser.nested_property_return` | `nested_property()`
`OslcSelectParser.oslc_select_return` | `oslc_select()`
`OslcSelectParser.prefixedName_return` | `prefixedName()`
`OslcSelectParser.properties_return` | `properties()`
`OslcSelectParser.property_return` | `property()`
`void` | `setTreeAdaptor(org.antlr.runtime.tree.TreeAdaptor adaptor)`

Methods inherited from class org.antlr.runtime.Parser
`getCurrentInputSymbol, getMissingSymbol, getSourceName, getTokenStream, reset, setTokenStream, traceIn, traceOut`

Methods inherited from class org.antlr.runtime.BaseRecognizer
`alreadyParsedRule, beginResync, combineFollows, computeContextSensitiveRuleFOLLOW, computeErrorRecoverySet, consumeUntil, consumeUntil, emitErrorMessage, endResync, failed, getBacktrackingLevel, getErrorHeader, getErrorMessage, getNumberOfSyntaxErrors, getRuleInvocationStack, getRuleInvocationStack, getRuleMemoization, getRuleMemoizationCacheSize, getTokenErrorDisplay, match, matchAny, memoize, mismatchIsMissingToken, mismatchIsUnwantedToken, pushFollow, recover, recoverFromMismatchedSet, recoverFromMismatchedToken, reportError, setBacktrackingLevel, toStrings, traceIn, traceOut`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### tokenNames

    public static final String[] tokenNames

### PROPERTIES

    public static final int PROPERTIES

See Also:
  Constant Field Values

### PREFIXED_NAME

    public static final int PREFIXED_NAME

See Also:
  Constant Field Values

### PN_LOCAL

    public static final int PN_LOCAL

See Also:
  Constant Field Values

### PNAME_NS

    public static final int PNAME_NS

See Also:
  Constant Field Values

### PNAME_LN

    public static final int PNAME_LN

See Also:
  Constant Field Values

### NOT

    public static final int NOT

See Also:
  Constant Field Values

### MINUS

    public static final int MINUS

See Also:
  Constant Field Values

### EOF

    public static final int EOF

See Also:
  Constant Field Values

### ASTERISK

    public static final int ASTERISK

See Also:
  Constant Field Values

### ECHAR

    public static final int ECHAR

See Also:
  Constant Field Values

### EOL

    public static final int EOL

See Also:
  Constant Field Values

### WS

    public static final int WS

See Also:
  Constant Field Values

### PN_CHARS_BASE

    public static final int PN_CHARS_BASE

See Also:
  Constant Field Values

### COMMA

    public static final int COMMA

See Also:
  Constant Field Values

### WILDCARD

    public static final int WILDCARD

See Also:
  Constant Field Values

### PN_PREFIX

    public static final int PN_PREFIX

See Also:
  Constant Field Values

### PN_CHARS

    public static final int PN_CHARS

See Also:
  Constant Field Values

### PN_CHARS_U

    public static final int PN_CHARS_U

See Also:
  Constant Field Values

### PLUS

    public static final int PLUS

See Also:
  Constant Field Values

### DIGIT

    public static final int DIGIT

See Also:
  Constant Field Values

### DOT

    public static final int DOT

See Also:
  Constant Field Values

### OPEN_CURLY_BRACE

    public static final int OPEN_CURLY_BRACE

See Also:
  Constant Field Values

### CLOSE_CURLY_BRACE

    public static final int CLOSE_CURLY_BRACE

See Also:
  Constant Field Values

### NESTED_PROPERTIES

    public static final int NESTED_PROPERTIES

See Also:
  Constant Field Values

### adaptor

    protected org.antlr.runtime.tree.TreeAdaptor adaptor

### FOLLOW_properties_in_oslc_select87

    public static final org.antlr.runtime.BitSet FOLLOW_properties_in_oslc_select87

### FOLLOW_property_in_properties97

    public static final org.antlr.runtime.BitSet FOLLOW_property_in_properties97

### FOLLOW_COMMA_in_properties102

    public static final org.antlr.runtime.BitSet FOLLOW_COMMA_in_properties102

### FOLLOW_property_in_properties104

    public static final org.antlr.runtime.BitSet FOLLOW_property_in_properties104

### FOLLOW_identifier_in_property137

    public static final org.antlr.runtime.BitSet FOLLOW_identifier_in_property137

### FOLLOW_nested_property_in_property141

    public static final org.antlr.runtime.BitSet FOLLOW_nested_property_in_property141

### FOLLOW_identifier_in_nested_property154

    public static final org.antlr.runtime.BitSet FOLLOW_identifier_in_nested_property154

### FOLLOW_OPEN_CURLY_BRACE_in_nested_property156

    public static final org.antlr.runtime.BitSet FOLLOW_OPEN_CURLY_BRACE_in_nested_property156

### FOLLOW_properties_in_nested_property158

    public static final org.antlr.runtime.BitSet FOLLOW_properties_in_nested_property158

### FOLLOW_CLOSE_CURLY_BRACE_in_nested_property160

    public static final org.antlr.runtime.BitSet FOLLOW_CLOSE_CURLY_BRACE_in_nested_property160

### FOLLOW_prefixedName_in_identifier182

    public static final org.antlr.runtime.BitSet FOLLOW_prefixedName_in_identifier182

### FOLLOW_ASTERISK_in_identifier200

    public static final org.antlr.runtime.BitSet FOLLOW_ASTERISK_in_identifier200

### FOLLOW_set_in_prefixedName0

    public static final org.antlr.runtime.BitSet FOLLOW_set_in_prefixedName0

Constructor Detail

### OslcSelectParser

    public OslcSelectParser(org.antlr.runtime.TokenStream input)

### OslcSelectParser

    public OslcSelectParser(org.antlr.runtime.TokenStream input,
                            org.antlr.runtime.RecognizerSharedState state)

### OslcSelectParser

    public OslcSelectParser(String where)

Method Detail

### setTreeAdaptor

    public void setTreeAdaptor(org.antlr.runtime.tree.TreeAdaptor adaptor)

### getTreeAdaptor

    public org.antlr.runtime.tree.TreeAdaptor getTreeAdaptor()

### getTokenNames

    public String[] getTokenNames()

  Overrides:
    `getTokenNames` in class `org.antlr.runtime.BaseRecognizer`

### getGrammarFileName

    public String getGrammarFileName()

  Overrides:
    `getGrammarFileName` in class `org.antlr.runtime.BaseRecognizer`

### displayRecognitionError

    public void displayRecognitionError(String[] tokenNames,
                                        org.antlr.runtime.RecognitionException e)

  Overrides:
    `displayRecognitionError` in class `org.antlr.runtime.BaseRecognizer`

### getErrors

    public List<String> getErrors()

### oslc_select

    public final OslcSelectParser.oslc_select_return oslc_select()
                                                          throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### properties

    public final OslcSelectParser.properties_return properties()
                                                        throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### property

    public final OslcSelectParser.property_return property()
                                                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### nested_property

    public final OslcSelectParser.nested_property_return nested_property()
                                                                  throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### identifier

    public final OslcSelectParser.identifier_return identifier()
                                                        throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### prefixedName

    public final OslcSelectParser.prefixedName_return prefixedName()
                                                            throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.